Core - Task # 53691

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User | want FAL to be performant

Status: Resolved Priority: Should have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-11-16 Assigned To: Steffen Ritter

Updated: 2014-02-01 Due date: 2013-12-31

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Sprint Focus:

Subject: Files are not able to be created anymore without beeing indexed - remove all this fallback logic
Description

Associated revisions

Revision 71eb69ed - 2014-02-01 09:05 - Steffen Ritter

[TASK] Remove fallback for not-indexed files

Due to all the refactorings all file-objects are created centralized.
In addition it is not possible anymore to create a file object without
an existing index record. Therefore all the fallback-logic for lazy
loading the index record can be removed from the file object.

In addition the unit tests for these parts of the file object have been

removed, too.

Releases: 6.2

Resolves: #53691

Change-Id: 10a01c12e2caaf8554a5b606b7a85d50b44e0e97¢
Reviewed-on: https:/review.typo3.org/27193

Reviewed-by: Benjamin Mack

Tested-by: Benjamin Mack

Revision ebc957e9 - 2014-02-01 12:49 - Frans Saris

[BUGFIX] Followup to #53691 Failing unit test

Remove a duplicate mocking in test filelndexStatuslsTruelfUidlsSet()
and setUp() triggered as side effect after patch 71eb69ed230a.

Resolves: #53691

Releases: 6.2

Change-Id: 18ac96d9157bf946bba3c9561369f3553d459f275
Reviewed-on: https://review.typo3.org/27223

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: HelImut Hummel
Tested-by: Helmut Hummel

History

#1 - 2013-11-16 11:44 - Steffen Ritter

- mergelndexRecord not needed anymore

- fileProperties could be summarized in actual properties as they are fixed
- getter and Setter for the hard existing properties

- remove loadMetaData and throw exception on file creation without uid

#2 - 2013-11-30 16:14 - Steffen Ritter

- Tracker changed from Bug to Task

- Status changed from New to Accepted
- Assigned To set to Steffen Ritter

- Target version set to 6.2.0

- Complexity set to medium

#3 - 2013-12-06 11:53 - Steffen Ritter
- Due date set to 2013-12-31
- Estimated time set to 4.00

- Remaining (hours) set to 4.0

#4 - 2013-12-07 15:54 - Steffen Ritter
- Parent task set to #54266

#5 - 2014-01-31 15:02 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27193

#6 - 2014-01-31 16:19 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27193

#7 - 2014-02-01 09:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27193

#8 - 2014-02-01 09:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:71eb69ed230a7a024c5e15c8334525¢ca229dd784.
#9 - 2014-02-01 09:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27223

#10 - 2014-02-01 12:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27223

#11 - 2014-02-01 13:30 - Frans Saris

- Status changed from Under Review to Resolved

Applied in changeset commit:ebc957e99b3f26d35e4e8d472bb0044b6a8ab58e.
